%define inchi_so_ver 1.02.00

Summary: The IUPAC International Chemical Identifier library
Name: inchi
Version: 1.0.2
Release: 2%{?dist}
URL: http://www.iupac.org/inchi/
Group: Development/Libraries
Source0: http://www.iupac.org/inchi/download/STDINCHI-1-API.zip
Source1: http://www.iupac.org/inchi/download/STDINCHI-1-DOC.zip
Patch0: %{name}-rpm.patch
License: LGPLv2+
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

%description
The IUPAC International Chemical Identifier (InChITM) is a non-proprietary
identifier for chemical substances that can be used in printed and
electronic data sources thus enabling easier linking of diverse data
compilations. It was developed under IUPAC Project 2000-025-1-800 during
the period 2000-2004. Details of the project and the history of its
progress are available from the project web site.

%package devel
Summary: Development headers for the InChI library
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}

%description devel
The inchi-devel package includes the header files and libraries
necessary for developing programs using the InChI library.

If you are going to develop programs which will use this library
you should install inchi-devel.  You'll also need to have the
inchi package installed.

%package doc
Summary: Documentation for the InChI library
Group: Documentation
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
The inchi-doc package contains user documentation for the InChI software
and InChI library API reference for developers.

%prep
%setup -q -n STDINCHI-1-API -a 1
%patch0 -p1 -b .r
rm STDINCHI_API/gcc_so_makefile/result/{libstdinchi,stdinchi}*
# Both .doc and .pdf files provide the same contents.
find STDINCHI-1-DOC -name '*.doc' | xargs rm

%build
pushd STDINCHI_API/gcc_so_makefile
%{__make} OPTFLAGS="$RPM_OPT_FLAGS" %{?_smp_mflags}
popd

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT{%{_libdir},%{_includedir}/inchi}
install -p STDINCHI_API/gcc_so_makefile/result/libstdinchi.so.%{inchi_so_ver} $RPM_BUILD_ROOT%{_libdir}
ln -s libstdinchi.so.%{inchi_so_ver} $RPM_BUILD_ROOT%{_libdir}/libstdinchi.so.1
ln -s libstdinchi.so.1               $RPM_BUILD_ROOT%{_libdir}/libstdinchi.so
sed -i 's/\r//' STDINCHI_API/INCHI_DLL/inchi_api.h
install -pm644 STDINCHI_API/INCHI_DLL/inchi_api.h $RPM_BUILD_ROOT%{_includedir}/inchi
sed -i 's/\r//' LICENSE readme.txt

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%doc LICENSE readme.txt
%{_libdir}/libstdinchi.so.*

%files devel
%defattr(-,root,root,-)
%{_includedir}/inchi
%{_libdir}/libstdinchi.so

%files doc
%defattr(-,root,root,-)
%doc STDINCHI-1-DOC/*

%changelog
* Thu Oct 08 2009 Dominik Mierzejewski <rpm@greysector.net> 1.0.2-2
- added doc subpackage (based on a patch by Takanori MATSUURA)

* Wed Aug 26 2009 Dominik Mierzejewski <rpm@greysector.net> 1.0.2-1
- updated to final 1.02 release (unfortunately, it breaks ABI)

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.2-0.5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Tue Feb 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.2-0.4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Tue Feb 19 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 1.0.2-0.3
- Autorebuild for GCC 4.3

* Mon Oct 01 2007 Dominik Mierzejewski <rpm@greysector.net> 1.0.2-0.2
- updated license tag
- fixed non-Unix EOLs in docs
- fixed dangling symlinks

* Thu Sep 06 2007 Dominik Mierzejewski <rpm@greysector.net> 1.0.2-0.1
- updated to 1.02b
- dropped WDI patch (upstream'd)
- updated license tag

* Sun Jul 01 2007 Dominik Mierzejewski <rpm@greysector.net> 1.0.1-8
- initial build
